Github messages for voidlinux
 help / color / mirror / Atom feed
From: voidlinux-github@inbox.vuxu.org
To: ml@inbox.vuxu.org
Subject: [PR PATCH] New package: metamath-0.178
Date: Mon, 27 Jan 2020 16:20:27 +0100	[thread overview]
Message-ID: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-18584@inbox.vuxu.org> (raw)

[-- Attachment #1: Type: text/plain, Size: 323 bytes --]

There is a new pull request by xelxebar against master on the void-packages repository

https://github.com/xelxebar/void-packages package/metamath
https://github.com/void-linux/void-packages/pull/18584

New package: metamath-0.178


A patch file from https://github.com/void-linux/void-packages/pull/18584.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-package/metamath-18584.patch --]
[-- Type: text/x-diff, Size: 4266 bytes --]

From 41dee9150580041d2f3b9d2bc740bbe20272bb73 Mon Sep 17 00:00:00 2001
From: "B. Wilson" <x@wilsonb.com>
Date: Mon, 19 Aug 2019 10:44:33 +0900
Subject: [PATCH] New package: metamath-0.178

---
 srcpkgs/metamath/files/mm.sh                  | 72 +++++++++++++++++++
 .../patches/remove-missing-file-refs.patch    | 17 +++++
 srcpkgs/metamath/template                     | 25 +++++++
 srcpkgs/metamath/update                       |  2 +
 4 files changed, 116 insertions(+)
 create mode 100755 srcpkgs/metamath/files/mm.sh
 create mode 100644 srcpkgs/metamath/patches/remove-missing-file-refs.patch
 create mode 100644 srcpkgs/metamath/template
 create mode 100644 srcpkgs/metamath/update

diff --git a/srcpkgs/metamath/files/mm.sh b/srcpkgs/metamath/files/mm.sh
new file mode 100755
index 00000000000..4cb78a6fdfa
--- /dev/null
+++ b/srcpkgs/metamath/files/mm.sh
@@ -0,0 +1,72 @@
+#!/usr/bin/env sh
+set -o errexit -o nounset -o noclobber
+
+
+show_usage() {
+>&2 cat <<USAGE
+Usage: mm [-hlu] [-d <database>] [-r <rcfile>] [<args>]
+
+OPTIONS
+  -d <database>  Load <database>
+  -r <rcfile>    Submit <rcfile> commands on startup, defaults to ~/.metamathrc
+  -l             List available databases
+  -u             Update databases
+  -h             Display this help message
+USAGE
+}
+
+error() {
+	errno=${1}
+	msg=${2}
+
+	>&2 echo "${msg}"
+	show_usage
+	exit "${errno}"
+}
+
+mm_update() {
+	url=${1}
+	dir=${2}
+
+	command -v git >/dev/null || return 1
+	[ -d "${dir}" ] || mkdir -p "${dir}"
+
+	if [ -d "${dir}/.git" ]; then
+		git -C "${dir}" pull
+	else
+		git clone "${url}" "${dir}"
+	fi
+}
+
+
+mmdir="${METAMATH_DIR:-/var/lib/metamath}"
+mmurl="${METAMATH_URL:-https://github.com/metamath/set.mm}"
+rc="${rc:-${HOME}/.metamathrc}"
+
+[ -r "${rc}" ] || unset rc
+
+if command -v tput >/dev/null; then
+	width=$(tput cols)
+	height=$(tput lines)
+fi
+
+
+while getopts ':d:r:hlu' opt "${@}"; do
+	case "${opt}" in
+	d) db="${OPTARG}";;
+	r) rc="${OPTARG}";;
+	h) show_usage; exit 0;;
+	l) find "${mmdir}" -name '*.mm' -printf '%P\n'; exit;;
+	u) mm_update "${mmurl}" "${mmdir}"; exit $?;;
+	:) error 1 "Expected argument: -${OPTARG}";;
+	*) error 1 "Unknown argument: -${OPTARG}";;
+	esac
+done
+shift $((OPTIND - 1))
+
+rlwrap --complete-filenames \
+	metamath ${width+"set width ${width}"} \
+	         ${height+"set height ${height}"} \
+	         ${rc+"submit '${rc}'"} \
+	         ${db+"read '${mmdir}/${db}'"} \
+	         "${@}"
diff --git a/srcpkgs/metamath/patches/remove-missing-file-refs.patch b/srcpkgs/metamath/patches/remove-missing-file-refs.patch
new file mode 100644
index 00000000000..6f99100cfba
--- /dev/null
+++ b/srcpkgs/metamath/patches/remove-missing-file-refs.patch
@@ -0,0 +1,17 @@
+--- Makefile.am	2020-01-27 20:43:55.650195602 +0900
++++ Makefile.am	2020-01-27 20:44:18.876578014 +0900
+@@ -36,14 +36,6 @@
+ 	mmwtex.c \
+ 	$(noinst_HEADERS)
+ 
+-dist_pkgdata_DATA = \
+-	big-unifier.mm \
+-	demo0.mm \
+-	miu.mm \
+-	peano.mm \
+-	ql.mm \
+-	set.mm
+-
+ 
+ EXTRA_DIST = \
+ 	LICENSE.TXT \
diff --git a/srcpkgs/metamath/template b/srcpkgs/metamath/template
new file mode 100644
index 00000000000..637a0013dfd
--- /dev/null
+++ b/srcpkgs/metamath/template
@@ -0,0 +1,25 @@
+# Template file for 'metamath'
+pkgname=metamath
+version=0.178
+revision=1
+wrksrc="${pkgname}"
+build_style=gnu-configure
+hostmakedepends="autoconf automake unzip"
+short_desc="Proof verifier based on a minimalist metalogic"
+maintainer="B. Wilson <x@wilsonb.com>"
+license="GPL-2.0-or-later"
+homepage="http://us.metamath.org/"
+distfiles="http://us.metamath.org/downloads/metamath-program.zip
+ http://us.metamath.org/downloads/metamath.pdf"
+checksum="75fe8e83c4fde2104e24e38da8480b512df3dff40d46e5d40e038bd7a73557de
+ 245ebab16d148a9772f6c3751ba8f34ee15bed6bbb61a464f4c2a2f9c56f8059"
+skip_extraction="metamath.pdf"
+
+pre_configure() {
+	autoreconf -i
+}
+
+post_install() {
+	vbin "${FILESDIR}/mm.sh" mm
+	vdoc "${XBPS_SRCDISTDIR}/${pkgname}-${version}/metamath.pdf"
+}
diff --git a/srcpkgs/metamath/update b/srcpkgs/metamath/update
new file mode 100644
index 00000000000..d968c96b084
--- /dev/null
+++ b/srcpkgs/metamath/update
@@ -0,0 +1,2 @@
+site=http://us.metamath.org/index.html
+pattern="<B>metamath program</B> \(version \K[\d.]+"

             reply	other threads:[~2020-01-27 15:20 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-01-27 15:20 voidlinux-github [this message]
2020-01-27 15:26 ` voidlinux-github
2020-01-31  1:14 ` [PR PATCH] [Updated] " voidlinux-github
2020-01-31  1:17 ` New package: metamath-0.180 voidlinux-github
2020-02-01  3:25 ` voidlinux-github
2020-02-02 15:37 ` [PR PATCH] [Updated] " voidlinux-github
2020-02-04 13:08 ` voidlinux-github
2020-02-05  2:16 ` voidlinux-github
2020-04-23  7:16 ` [PR PATCH] [Updated] " xelxebar
2020-07-07  2:35 ` xelxebar
2020-07-07  2:58 ` [PR PATCH] [Updated] " xelxebar
2020-07-07  2:59 ` xelxebar
2020-07-07  3:03 ` xelxebar
2020-07-07  3:03 ` xelxebar
2020-07-07  4:17 ` ericonr
2020-07-07  4:44 ` [PR PATCH] [Updated] " xelxebar
2020-07-07  4:48 ` xelxebar
2020-08-18 19:17 ` ahesford
2020-08-19  0:21 ` xelxebar
2020-08-19  2:31 ` ahesford
2021-02-16 16:18 ` ericonr
2021-03-24 19:04 ` ericonr
2021-03-24 19:04 ` [PR PATCH] [Closed]: " ericonr
  -- strict thread matches above, loose matches on Subject: below --
2019-10-23  5:57 [PR PATCH] New package: metamath-0.178 voidlinux-github

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-18584@inbox.vuxu.org \
    --to=voidlinux-github@inbox.vuxu.org \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).